install_package() {
    # If for some reason we have to change AUR helpers, this function should make it easy to update everything all at once.
    # make sure system is up to date
    yay --sudoflags "${sudoFlags[@]}" --sudoloop --noconfirm -Syu
    yay --sudoflags "${sudoFlags[@]}" --sudoloop --needed --noconfirm -Sy "$@"
}

url_install() {
    local url="$1"
    local tmpfile
    tmpfile=$(mktemp /tmp/pkg.XXXXXX.pkg.tar.xz)
    # Make sure system is up to date
    yay --sudoflags "${sudoFlags[@]}" --sudoloop --noconfirm -Syu
    if curl -fL --retry 10 -o "$tmpfile" "$url"; then
        yay --sudoflags "${sudoFlags[@]}" --sudoloop --noconfirm -U "$tmpfile"
    fi
    rm -f "$tmpfile"
}

restart() {
if dialog --clear --backtitle "Stormux" --yesno "Would you like to reboot now to apply changes?" 10 80 ; then
        sudo "${sudoFlags[@]}" reboot
    fi
}

attention() {
    play -qnV0 synth 3 pluck D3 pluck A3 pluck D4 pluck F4 pluck A4 delay 0 .1 .2 .3 .4 remix - chorus 0.9 0.9 38 0.75 0.3 0.5 -t
}
